## xdiskusage 1.44

=== Makefile ===
SHELL=/bin/sh

PROGRAM = xdiskusage
VERSION = 1.44

CXXFILES = panels.C xdiskusage.C

LIBS = -lfltk
# You may need this to link with a shared version of fltk:
#LIBS = -lfltk -lGL -lGLU -lglut

MANPAGE = 1

################################################################

OBJECTS = $(CXXFILES:.C=.o)

all:	$(PROGRAM)

$(PROGRAM) : $(OBJECTS)
	$(CXX) $(CXXFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS) $(LDLIBS)

makeinclude: configure
	./configure
include makeinclude

.SUFFIXES : .fl .do .C .c .H

.C.o :
	$(CXX) $(CXXFLAGS) -c $<
.C :
	$(CXX) $(CXXFLAGS) -c $<
.fl.C :
	-fluid -c $<
.fl.H :
	-fluid -c $<

clean :
	-@ rm -f *.o $(PROGRAM) $(CLEAN) core *~ makedepend
	@touch makedepend

depend:
	$(MAKEDEPEND) -I.. $(CXXFLAGS) $(CXXFILES) $(CFILES) > makedepend
makedepend:
	touch makedepend
include makedepend

install: $(PROGRAM)
	$(INSTALL) -s $(PROGRAM) $(bindir)/$(PROGRAM)
	$(INSTALL) $(PROGRAM).$(MANPAGE) $(mandir)/man$(MANPAGE)/$(PROGRAM).$(MANPAGE)

uninstall:
	-@ rm -f $(bindir)/$(PROGRAM)
	-@ rm -f $(mandir)/man$(MANPAGE)/$(PROGRAM).$(MANPAGE)

dist:
	cat /dev/null > makedepend
	-@mkdir $(PROGRAM)-$(VERSION)
	-@ln README Makefile configure install-sh makedepend *.C *.H *.in *.fl $(PROGRAM).spec $(PROGRAM).$(MANPAGE) $(PROGRAM)-$(VERSION)
	tar -cvzf $(PROGRAM)-$(VERSION).tgz $(PROGRAM)-$(VERSION)
	-@rm -r $(PROGRAM)-$(VERSION)

################################################################

PROGRAM_D = $(PROGRAM)_d

debug: $(PROGRAM_D)

OBJECTS_D = $(CXXFILES:.C=.do) $(CFILES:.c=.do)

.C.do :
	$(CXX) -I.. $(CXXFLAGS_D) -c -o $@ $<
.c.do :
	$(CC) -I.. $(CFLAGS_D) -c -o $@ $<

$(PROGRAM_D) : $(OBJECTS_D)
	$(CXX) $(CXXFLAGS_D) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS) $(LDLIBS)

## xdiskusage 1.46

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 SHELL=/bin/sh
 
 PROGRAM = xdiskusage
-VERSION = 1.44
+VERSION = 1.46
 
 CXXFILES = panels.C xdiskusage.C
 
-LIBS = -lfltk
+#LIBS = -lfltk
 # You may need this to link with a shared version of fltk:
-#LIBS = -lfltk -lGL -lGLU -lglut
+LIBS = -lfltk -lGL -lGLU -lglut
 
 MANPAGE = 1

## xdiskusage 1.48

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,12 @@
 SHELL=/bin/sh
 
 PROGRAM = xdiskusage
-VERSION = 1.46
+VERSION = 1.48
 
 CXXFILES = panels.C xdiskusage.C
 
-#LIBS = -lfltk
 # You may need this to link with a shared version of fltk:
-LIBS = -lfltk -lGL -lGLU -lglut
+LIBS =
 
 MANPAGE = 1
 
@@ -18,7 +17,7 @@
 all:	$(PROGRAM)
 
 $(PROGRAM) : $(OBJECTS)
-	$(CXX) $(CXXFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS) $(LDLIBS)
+	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS) $(LDLIBS)
 
 makeinclude: configure
 	./configure
@@ -69,9 +68,9 @@
 OBJECTS_D = $(CXXFILES:.C=.do) $(CFILES:.c=.do)
 
 .C.do :
-	$(CXX) -I.. $(CXXFLAGS_D) -c -o $@ $<
+	$(CXX) $(CXXFLAGS_D) -c -o $@ $<
 .c.do :
-	$(CC) -I.. $(CFLAGS_D) -c -o $@ $<
+	$(CC) $(CFLAGS_D) -c -o $@ $<
 
 $(PROGRAM_D) : $(OBJECTS_D)
-	$(CXX) $(CXXFLAGS_D) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS) $(LDLIBS)
+	$(CXX) $(LDFLAGS_D) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS) $(LDLIBS)

=== debian/changelog ===
xdiskusage (1.48-11) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #1041420)
  * debian/control:
    + Use debhelper compat v13. (Closes: #965891)
    + Bump Standards-Version to 4.6.2.
    + Add Vcs-* fields.
  * debian/rules:
    + Migrate to dh. (Closes: #999001)
  * debian/clean: Manually add files to clean.
  * debian/patches/11_patch_makefile_use_destdir.patch: Add patch
    so that installation recognizes DESTDIR variable.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Aug 2023 01:15:18 -0400

xdiskusage (1.48-10.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by avoiding redeclared variable names in
    nested scopes (Closes: #667419).

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 May 2012 14:01:23 +0200

xdiskusage (1.48-10) unstable; urgency=low

  * Support disk >4.3TB from upstream cvs rev1.22 (Closes: #555323)
  * Used Ki, Mi and Gi instead of K, M and G (Closes: #323971)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sat, 03 Apr 2010 20:03:11 +0300

xdiskusage (1.48-9) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped Standards-Version to 3.8.4

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Tue, 30 Mar 2010 15:41:28 +0300

xdiskusage (1.48-8) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.0
    + Used Homepage field
    + Updated debhelper to >= 6
  * debian/compat:
    + Updated debhelper compat level to 6.
  * debian/rules:
    + Check Makefile if it exists
    + Added LDFLAGS = -Wl,--as-needed
  * debian/watch:
    + Used version 3
  * debian/menu:
    + Updated section to "Application/File Management"
  * Updated and merged patches for man page. (Closes: #447855)
  * Check the standard input if it is closed or /dev/null.
    Thanks to Carles Pina i Estany. (Closes: #435792, #276193)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sun, 27 Jul 2008 21:19:05 +0300

xdiskusage (1.48-7) unstable; urgency=low

  * debian/control: use dpatch instead of cdbs.
  * Use patches instead of modify directly the upstream release (#306703).
  * xdiskusage.C: sync with the upstream (#174026)
  * Acknowledge NMUs (Closes: #322232, #346781).

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sun, 27 Aug 2006 23:28:07 +0300

xdiskusage (1.48-6) unstable; urgency=low

  * Acknowledge NMU (Closes: #375227).
  * New maintainer (Closes: #383913). Thanks to the last maintainer Cyril Bouthors.
  * Bumped standards-version to 3.7.2 .
  * debian/control: Added Homepage.
  * debian/copyright: Updated FSF address.

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Thu, 24 Aug 2006 22:21:05 +0300

xdiskusage (1.48-5.3) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depend on libglu1-mesa-dev instead of xlibmesa-glu-dev, since the
    latter no longer exists; fixes FTBFS, patch from Andreas Jochens.
    (Closes: #373889)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 24 Jun 2006 12:48:01 +0200

xdiskusage (1.48-5.2) unstable; urgency=low

  * Non-maintainer upload to help with xlibs-dev transition.
  * debian/control: Replaced xlibs-dev build-dep. (Closes: #346781)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 17:22:57 +0100

xdiskusage (1.48-5.1) unstable; urgency=low

  * NMU
  * Rebuild to transition to the new C++ ABI: new libstdc++, new libfltk
    (closes: #322232).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 20 Aug 2005 13:44:24 +0200

xdiskusage (1.48-5) unstable; urgency=low

  * Fixed typos in upstream xdiskusage.1 and xdiskusage.spec (closes:
    #306703).

 -- Cyril Bouthors <cyril@bouthors.org>  Mon, 30 May 2005 12:21:07 +0300

xdiskusage (1.48-4) unstable; urgency=low

  * Applied patch to compile under AMD64 with GCC 4 (closes: #297845).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 23 Mar 2005 21:08:51 +0100

xdiskusage (1.48-3) unstable; urgency=low

  * Added xlibs-dev to Build-Depends (closes: #276337, #276304).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 13 Oct 2004 15:57:32 +0200

xdiskusage (1.48-2) unstable; urgency=low

  * Added xlibs-static-dev, libx11-dev and libxext-dev to Build-Depends.
    It looks like a bug in the upstream configure.in because probably
    don't need those libs, I'll ask Bill Spitzak about that (closes:
    #276304).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 13 Oct 2004 12:43:34 +0200

xdiskusage (1.48-1) unstable; urgency=low

  * New maintainer (closes: #275776).  I have to thank Carlos Laviola for
    his time and work regarding the xdiskusage Debian package during the
    last three years and a half.  Thank you Carlos.
  * New upstream release.
  * Applied patch from Jim Meyering to deal with filenames longer than
    1024 caracters (closes: #174026).
  * debian/rules: updated 'clean' target to remove autoconf generated
    files from the diff output.
  * debian/menu: invoke xdiskusage directly to avoid a lintian warning and
    a dependancy to /bin/sh (please see also bug number 276193).

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 12 Oct 2004 10:44:56 +0200

xdiskusage (1.47-4) unstable; urgency=low

  * Orphaned.  Maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Carlos Laviola <claviola@debian.org>  Sun, 10 Oct 2004 04:09:11 -0300

xdiskusage (1.47-3) unstable; urgency=high

  * debian/rules: Actually install the program into the deb...  I can't
    believe I missed this.  I am very sorry.  (Closes: #267251)
  * debian/dirs: Removed /usr/sbin.

 -- Carlos Laviola <claviola@debian.org>  Sun, 22 Aug 2004 00:25:02 -0300

xdiskusage (1.47-2) unstable; urgency=low

  * Bumped Standards-Version to 3.6.1.1.
  * Package is created with the Common Debian Build System (cdbs) now.
  * Tidied up debian/copyright a bit, updating some information.
  * Modified the Makefile to remove config.{cache,log,status} when 'clean' is
    called during the build process.



=== debian/control ===
Source: xdiskusage
Section: x11
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends: debhelper-compat (= 13), libfltk1.1-dev (>= 1.1.3-2.1), libglu1-mesa-dev, libx11-dev, libxinerama-dev
Standards-Version: 4.6.2
Homepage: http://xdiskusage.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/xdiskusage.git
Vcs-Browser: https://salsa.debian.org/debian/xdiskusage

Package: xdiskusage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Displays a graphic of your disk usage with du
 xdiskusage is a user-friendly program to show you what is using up
 all your disk space. It is based on the design of the "xdu" program
 written by Phillip C. Dykstra. Changes have been made so it runs "du"
 for you, and can display the free space left on the disk, and produce
 a PostScript version of the display.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

## xdiskusage 1.60

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL=/bin/sh
 
 PROGRAM = xdiskusage
-VERSION = 1.48
+VERSION = 1.60
 
 CXXFILES = panels.C xdiskusage.C
 
@@ -17,18 +17,21 @@
 all:	$(PROGRAM)
 
 $(PROGRAM) : $(OBJECTS)
-	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS) $(LDLIBS)
+	$(CXX) -o $(PROGRAM) $(OBJECTS) `fltk-config --ldflags` $(CXXFLAGS) $(LDFLAGS)
 
-makeinclude: configure
+configure: configure.in
+	autoconf
+
+makeinclude: configure makeinclude.in
 	./configure
 include makeinclude
 
 .SUFFIXES : .fl .do .C .c .H
 
 .C.o :
-	$(CXX) $(CXXFLAGS) -c $<
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $<
 .C :
-	$(CXX) $(CXXFLAGS) -c $<
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $<
 .fl.C :
 	-fluid -c $<
 .fl.H :
@@ -39,13 +42,15 @@
 	@touch makedepend
 
 depend:
-	$(MAKEDEPEND) -I.. $(CXXFLAGS) $(CXXFILES) $(CFILES) > makedepend
+	$(MAKEDEPEND) -I.. $(CPPFLAGS) $(CXXFILES) $(CFILES) > makedepend
 makedepend:
 	touch makedepend
 include makedepend
 
 install: $(PROGRAM)
+	-@mkdir -p $(bindir)
 	$(INSTALL) -s $(PROGRAM) $(bindir)/$(PROGRAM)
+	-@mkdir -p $(mandir)/man$(MANPAGE)
 	$(INSTALL) $(PROGRAM).$(MANPAGE) $(mandir)/man$(MANPAGE)/$(PROGRAM).$(MANPAGE)
 
 uninstall:
@@ -68,9 +73,13 @@
 OBJECTS_D = $(CXXFILES:.C=.do) $(CFILES:.c=.do)
 
 .C.do :
-	$(CXX) $(CXXFLAGS_D) -c -o $@ $<
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS_D) -c -o $@ $<
 .c.do :
 	$(CC) $(CFLAGS_D) -c -o $@ $<
 
 $(PROGRAM_D) : $(OBJECTS_D)
-	$(CXX) $(LDFLAGS_D) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS) $(LDLIBS)
+	$(CXX) -o $(PROGRAM_D) $(OBJECTS_D) `fltk-config --ldflags` $(CXXFLAGS_D) $(LDFLAGS)
+
+# Used to make the version that is gzipped and uploaded to web site
+static : $(OBJECTS)
+	$(CXX) -o $(PROGRAM) $(OBJECTS) `fltk-config --ldstaticflags` $(CXXFLAGS) $(LDFLAGS)

=== debian/changelog ===
xdiskusage (1.60-7) unstable; urgency=medium

  * Adopt package & move it to FTLK namespace (Closes: #1064911),
    co-maintainers are welcome.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Aug 2025 11:48:37 +0200

xdiskusage (1.60-6) unstable; urgency=medium

  * QA upload.
  * Switch to fltk1.4

  [ Marcos Talau ]
  * debian/watch: add missing dash

 -- Alexandre Detiste <tchet@debian.org>  Fri, 02 May 2025 13:51:57 +0200

xdiskusage (1.60-5) unstable; urgency=medium

  * QA upload.
  * debian/control: Add Rules-Requires-Root field.
  * debian/upstream/metadata: Add upstream metadata information.
  * debian/watch:
    - Add @TAGS@.
    - Update to version 4.

 -- Pedro Morais Mendes <pedromorais.dev@gmail.com>  Sun, 01 Dec 2024 15:24:07 -0300

xdiskusage (1.60-4) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1094911)

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Feb 2024 12:30:12 -0500

xdiskusage (1.60-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/rules: Avoid configure in make distclean to avoid FTCBFS.
    (Closes: #1059720)

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jan 2024 15:24:01 -0500

xdiskusage (1.60-2) unstable; urgency=medium

  * debian/docs: Dropped, we use debian/xdiskusage.docs.
  * New version actually solves stalled behavior with certain
    file names. (Closes: #873572) (LP: #1269089)
  * New version now recognizes UTF-8 filenames. (Closes: #311435)
  * debian/control: Add build-dependency on fluid in fltk1.3.
  * debian/rules: Explicitly pass CPPFLAGS/CXXFLAGS/LDFLAGS to
    Makefile during build.

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Aug 2023 12:15:33 -0400

xdiskusage (1.60-1) unstable; urgency=medium

  * New upstream version 1.60.
    + Fix crash with du output. (Closes: #922943)
  * debian/: Apply wrap-and-sort -abst.
  * Use libfltk 1.3 to replace 1.1 (Closes: #974625)
  * debian/rules: Use compiler exported from buildtools.mk.
    (Closes: #870847, #319221)
  * debian/patches: Drop patches merged upstream:
    - 05_xdiskusage.C_support_4.3TB_and_more.patch
    - 10_fix_ftbfs_with_gcc_4.7.patch
  * debian/patches: Refresh patches:
    - 11_patch_makefile_use_destdir.patch
    - 06_xdiskusage.C_used_Ki_Mi_Gi.patch
  * debian/patches: Drop patch that is no longer applicable.
    - 04_xdiskusage.C_check_standard_input.patch (no side effect)

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Aug 2023 11:40:03 -0400

=== debian/control ===
Source: xdiskusage
Section: x11
Priority: optional
Maintainer: Alexandre Detiste <tchet@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 fluid,
 libcairo2-dev,
 libfltk1.4-dev,
 libglu1-mesa-dev,
 libx11-dev,
 libxinerama-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: http://xdiskusage.sourceforge.net/
Vcs-Git: https://salsa.debian.org/fltk-team/xdiskusage.git
Vcs-Browser: https://salsa.debian.org/fltk-team/xdiskusage

Package: xdiskusage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Displays a graphic of your disk usage with du
 xdiskusage is a user-friendly program to show you what is using up
 all your disk space. It is based on the design of the "xdu" program
 written by Phillip C. Dykstra. Changes have been made so it runs "du"
 for you, and can display the free space left on the disk, and produce
 a PostScript version of the display.

=== debian/watch ===
version=4
https://@PACKAGE@.sourceforge.net/@PACKAGE@-(.*)@ARCHIVE_EXT@
